| Home | Libraries | People | FAQ | More

###### buffers_adaptor::buffers_adaptor (2 of 3 overloads)

Constructor.

###### Synopsis

    template<
        class... Args>
    buffers_adaptor(
        boost::in_place_init_t,
        Args&&... args);

###### Description

This constructs the buffer adaptor in-place from a list of arguments.

###### Parameters

Name | Description
--- | ---
`args` | Arguments forwarded to the buffers constructor.